Smart II Software parameters: IPX parameters
============================================
                                               LSS 5.0(0), August 1996
                                               -----------------------
1 Introduction
--------------

This document describes the parameters that affect  the  operation  of 
the IPX interface on a particular Ringnode in your workstation.

If you are using SMART.CFG to configure your Smart II  Software,  then 
you must place all of the IPX parameters in the [IPX] section.

Figure 1 displays part of a SMART.CFG which demonstrates some  of  the 
IPX parameters. All of the IPX parameters are in the [IPX] section.

      +------------------------------------------+      
      |                                          |
      | [HOST]                                   |
      |                                          |
      |   :             ; host parameters here   |
      |                                          |
      |  [CARD]         ; first card section     |
      |                                          |
      |   [IPX]         ; install the IPX i/f    |
      |                                          |
      |    co=20        ; 20 IPX connections     |
      |    sr=y         ; use source routing     |
      |                                          |
      |  [CARD]         ; second card section    |
      |                                          |
      |   io=1a20       ; io location is 1a20    |
      |                                          |
      |   [LLC]         ; install the LLC i/f    |
      |                                          |
      +------------------------------------------+      

        Figure 1. Example SMART.CFG.

Table 1 contains a list of all the IPX parameters. Section 2 describes
each of the IPX parameters more fully.

      +----------------------------------+
      |                                  |
      | Parameter          (Abbrev)      |
      | ---------          --------      |
      | ABORT.TIMEOUT       (AT)         |
      | CONNECTIONS         (CO)         |
      | CACHE.TIMEOUT       (TIME)       |
      | DEFAULT.BROADCAST   (DEF)        |
      | EXPIRED.TX.COUNT    (XTX)        |
      | GENERAL.BROADCAST   (GBR)        |
      | INT64.OFF           (I64)        |
      | INT7A.OFF           (I7A)        |
      | IPX.COMMANDS        (IC)         |
      | IPX.OPEN            (IPXO)       |
      | LISTEN.TIMEOUT      (LT)         |
      | MULTICAST.BROADCAST (MBR)        |
      | RETRY.COUNT         (RC)         |
      | RETRY.TIME          (RT)         |
      | SOCKETS             (SO)         |
      | SOURCE.ROUTING      (SR)         |
      | SOURCE.ROUTE.NODES  (NODES)      |
      | THIS.RING.ALT       (TRA)        |
      | THIS.RING.ONLY      (TRO)        |
      | VERIFY.TIMEOUT      (VT)         |
      |                                  |
      +----------------------------------+

        Table 1. IPX parameters.

If  you  are configuring your Smart II Software from the command line, 
you can put the IPX parameters anywhere.  However, we  recommend  that 
you put them all together.

A sample command line, which enables an IPX interface with 32 sockets, 
and configures it to perform source routing, is as follows:

        SMART IPX SOCKETS=32 SR=Y

2 IPX parameters
----------------

This section describes the IPX parameters.   Abbreviations  are  given 
for each parameter that can be shortened.

ABORT.TIMEOUT       Specifies the length of time  that  SPX  (Sequence 
                    Packet  eXchange)  waits  for  a  response  from a 
                    remote node before it assumes that the remote node 
                    has terminated the connection.   (SPX  is  enabled 
                    when you enable the IPX interface.) If the network 
                    is  busy, or you are connecting across one or more 
                    bridges, you might need to  increase  this  value. 
                    ABORT.TIMEOUT   is   measured   in   units  of  55 
                    milliseconds (approximately 1/18 of a second).

                    Range       : 0 - 65000
                    Default     : 540           (30 seconds)
                    Abbreviation: AT

                    Example     : AT=500

CONNECTIONS         Specifies  the  maximum  number  of   active   SPX 
                    connections that you can have at any one time. IPX 
                    uses   at  least  one  connection  for  diagnostic 
                    purposes.

                    Range       : 0 - 255
                    Default     : 32
                    Abbreviation: CO

                    Example     : CO=20

CACHE.TIMEOUT       This is the time that a source routing cache entry 
                    remains valid. The source routing information used 
                    to route to a known node will not change for  this 
                    length of time (in seconds). The default value  of 
                    10 gives a timeout of 10 seconds.

                    If you  set  CACHE.TIMEOUT  to  zero,  the  source 
                    routing cache entry lasts about 8 hours.

                    Range       : 0 - 255
                    Default     : 10
                    Abbreviation: TIME

                    Example     : TIME=20

DEFAULT.BROADCAST   Ensures that all broadcasts used to determine  the 
                    route to unknown addresses (addresses that are not 
                    in  the  workstation's  source-routing  table) are 
                    sent as  all-route  broadcasts.   If  you  do  not 
                    specify  DEFAULT.BROADCAST,  broadcasts to unknown 
                    addresses are  sent  as  single-route  broadcasts. 
                    This  parameter is similar to the DEF parameter of 
                    ROUTE.COM.  It only applies if you  enable  source 
                    routing.

                    Abbreviation: DEF

EXPIRED.TX.COUNT    This is the number of times a source routing cache
                    that has timed  out continues to be  used before a
                    broadcast frame is sent. This parameter is similar 
                    to the XTX parameter of ROUTE.COM. It only applies 
                    if you enable source routing.

                    Range       : 0 - 255
                    Default     : 2
                    Abbreviation: XTX

                    Example     : XTX=10

GENERAL.BROADCAST   Ensures  that  all  general broadcasts are sent as 
                    all-route  broadcasts.   If   you   do   not   use 
                    GENERAL.BROADCAST,  general broadcasts are sent as 
                    single-route  broadcasts.    This   parameter   is 
                    similar  to  the  GBR  parameter of ROUTE.COM.  It 
                    only applies if you enable source routing.

                    Abbreviation: GBR

INT64.OFF           Prevents IPX.SMT from using the software interrupt 
                    INT64.  If you are  running  an  application  that 
                    uses software interrupt INT64, use this parameter.  
                    If  you  are  using  an  old  IPX application that 
                    accesses IPX via INT64 do not use this parameter.

                    Abbreviation: I64

INT7A.OFF           Prevents IPX.SMT from using the software interrupt 
                    INT7A.  If you are  running  an  application  that 
                    uses   software   interrupt   INT7A   ,  use  this 
                    parameter.   If  you  are   using   an   old   IPX 
                    application that accesses IPX via INT7A do not use 
                    this parameter.

                    Abbreviation: I7A

IPX.COMMANDS        Specifies  the maximum number of commands that are 
                    outstanding to IPX at any one time.  IPX  may  use 
                    up  to  five  commands  internally for routing and 
                    diagnostic purposes.

                    Range       : 0 - 255
                    Default     : 40
                    Abbreviation: IC

                    Example     : IC=20

IPX.OPEN            Specifies  whether  IPX  automatically  opens  the 
                    Ringnode when the Smart II Software loads.
                    
                    Use the IPX.OPEN=NO parameter if you are using  an 
                    IBM 3270 emulation program (see documentation). In 
                    some  instances  you  may   also   need   to   use 
                    IPX.OPEN=NO  if you are loading multiple protocols 
                    onto the adapter. 
                    
                    Range:      : Y or N
                    Default     : Yes
                    Abbreviation: IPXO
                    
                    Example:    IPXO=N
                            
                    
LISTEN.TIMEOUT      Specifies the length of time that SPX waits for  a 
                    frame on a connection before it demands a response 
                    from  the  communicating computer.  LISTEN.TIMEOUT 
                    is  measured   in   units   of   55   milliseconds 
                    (approximately 1/18 of a second).

                    Range       : 0 - 65000
                    Default     : 108           (6 seconds)
                    Abbreviation: LT

                    Example     : LT=54

MULTICAST.BROADCAST Allows   multicast   broadcasts   to  be  sent  as 
                    all-route  broadcasts.   By   default,   multicast 
                    broadcasts  are  sent  as single-route broadcasts. 
                    This parameter is similar to the MBR parameter  of 
                    ROUTE.COM.   It  only applies if you enable source 
                    routing.

                    Abbreviation: MBR

RETRY.COUNT         Specifies the number of attempts that SPX makes to
                    send a frame before it returns an error.

                    Range       : 0 - 255
                    Default     : 12
                    Abbreviation: RC

                    Example     : RC=20

RETRY.TIME          Specifies the time,  in  units  of  1/100  second, 
                    between  successive  attempts  by  SPX  to  send a 
                    frame.  If you have SPX links over slow  wide-area 
                    networks then increase this value.

                    Range       : 0 - 65000
                    Default     : 100 (1 second)
                    Abbreviation: RT

                    Example     : RT=20

SOCKETS             Specifies the maximum number of active IPX sockets 
                    that you can have at any one time.  IPX uses up to 
                    three sockets for routing and diagnostic purposes. 
                    The Novell workstation shell (NETX.EXE) can use up 
                    to  four  sockets,  and  the  Madge  SMARTBOOT  II 
                    program can use up to two.  Other IPX applications 
                    typically use one or two sockets each.

                    Range       : 0 - 255
                    Default     : 32
                    Abbreviation: SO

                    Example     : SO=20

SOURCE.ROUTING      Enables source  routing.   If  you  need  the  IPX 
                    protocols   to   operate   across   IBM-compatible 
                    source-routing bridges, set this parameter to YES. 
                    If you have no bridges on your  network,  or  only 
                    NetWare IPX bridges, set this parameter to NO (the 
                    default).   Only  use  this  parameter if you have 
                    enabled source routing for all the servers you are 
                    using.

                    Range       : YES, Y, NO or N
                    Default     : NO
                    Abbreviation: SR

                    Example     : SR=Y

                    This   parameter   replaces   Novell's   ROUTE.COM 
                    program.   If  you  enable  source  routing, seven
                    additional parameters are available:

                        DEFAULT.BROADCAST
                        GENERAL.BROADCAST
                        MULTICAST.BROADCAST
                        SOURCE.ROUTE.NODES
                        CACHE.TIMEOUT
                        THIS.RING.ONLY
                        THIS.RING.ALT

SOURCE.ROUTE.NODES  Defines  the  size  of  the  source-routing  table 
                    maintained  by  the IPX interface.  This parameter 
                    is similar to the NODES  parameter  of  ROUTE.COM. 

                    Range       : 8 - 255
                    Default     : 8
                    Abbreviation: NODES

                    Example     : NODES=20

THIS.RING.ALT       This is the number of times a frame to an  unknown 
                    address  is  sent  (alternately)  with and without 
                    broadcast, before broadcast alone is used to reach 
                    remote rings.

                    Range       : 0 - 255
                    Default     : 0
                    Abbreviation: TRA

                    Example     : TRA=10

THIS.RING.ONLY      This is the number of times a frame to an  unknown 
                    address  is  sent  on  the  local  ring  before  a 
                    broadcast is used to reach remote rings.

                    Range       : 0 - 255
                    Default     : 0
                    Abbreviation: TRO

                    Example     : TRO=10

VERIFY.TIMEOUT      Specifies the length of time that SPX waits before 
                    sending a frame down an idle  connection  to  keep 
                    that  connection open.  This parameter is measured 
                    in units of 55 milliseconds (approximately 1/18 of 
                    a second).

                    Range       : 0 - 65000
                    Default     : 54            (3 seconds)
                    Abbreviation: VT

                    Example     : VT=18

3 Using NET.CFG
---------------

When IPX loads it searches for NET.CFG. If a NET.CFG is found then the
parameters in the PROTOCOL IPXODI section  are used to configure Smart
IPX. The search order for NET.CFG is as follows :- NET.CFG  loaded  by
LSL.COM, NET.CFG in current directory, NET.CFG in root directory.

The following parameters are recognized.
                        
      +----------------------------------------+
      |                                        |
      | NET.CFG parameters    SMART equivalent |
      | -------------------   ---------------- |
      |                                        |
      | INT 64                INT64.OFF        |
      | INT 7A                INT7A.OFF        |
      | IPX RETRY COUNT       RETRY.COUNT      |            
      | IPX SOCKETS           SOCKETS          |
      | MINIMUM SPX RETRIES   RETRY.COUNT      |
      | SPX CONNECTIONS       CONNECTIONS      |            
      | SPX ABORT TIMEOUT     ABORT.TIMEOUT    |            
      | SPX LISTEN TIMEOUT    LISTEN.TIMEOUT   |            
      | SPX VERIFY TIMEOUT    VERIFY.TIMEOUT   |            
      |                                        |
      +----------------------------------------+
        
        Table 2. NET.CFG parameters


                    ***** End of SMTIPX.TXT *****
